Skip to main content
GET
Get penetration test progress

Authorizations

X-API-Key
string
header
required

API key for authentication

Headers

X-Organization-Id
string

Organization ID (required for session auth, optional for API key auth)

Path Parameters

id
string
required

Response

200 - application/json

Progress returned

status
enum<string>
required

Current lifecycle status of the run

Available options:
provisioning,
cloning,
running,
completed,
failed,
cancelled
completedAgents
number
required

Agents that have finished

totalAgents
number
required

Total agents in the scan

elapsedMs
number
required

Milliseconds elapsed since the scan started

reconcileHealth
enum<string>

Health of our supervision of an in-flight scan. "retrying": the scan was interrupted and status checks keep failing. "stalled": that has persisted with no scan activity, so the scan is likely dead. Absent for providers that do not report it.

Available options:
ok,
retrying,
stalled